Debian Bug report logs - #677620
transition: GNOME 3.4: evolution 3.4

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Fri, 15 Jun 2012 12:33:17 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-evolution-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Fri, 15 Jun 2012 12:33:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-evolution-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 15 Jun 2012 12:33:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: GNOME 3.4: evolution 3.4
Date: Fri, 15 Jun 2012 14:13:25 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
evolution-data-server, evolution and the reverse dependencies of those
packages.

I'm not quite sure if we should setup separate trackers for gtkhtml4.0,
evolution and evolution-data-server or if they should be merged, since
we should do all three in one go.

For simplicities sake I've uses separate ben files (hopefully I got them
right).

gtkhtml4.0 (4.2.2 → 4.4.2)
==========================

No soname bump involved, but generates a tight dependency via shlibs,
i.e. >= 4.2 and << 4.3 atm.

So all reverse dependencies need to be recompiled against 4.4:

- evolution
- evolution-ews
- evolution-exchange
- evolution-mapi
- evolution-rss
- mail-notification
- tracker-miner-evolution
- xiphos (*)

BUT: all the above packages besides xiphos need a binNMU or a sourceful
anyway for evolution / evolution-data-server 3.4, so only xiphos needs
to be binNMUed for gtkhtml4.0 4.2.2.

We upload gtkhtml4.0 as first step.

is_affected = .build-depends ~ /libgtkhtml(-editor)-4.0-dev/ | .build-depends ~ /evolution-dev/;
is_good = .depends ~ /libgtkhtml(-editor)-4.0-0 \(>= 4.4\)/;
is_bad = .depends ~ /libgtkhtml(-editor)-4.0-0 \(<< 4.3\)/;

evolution-data-server (3.2.2 → 3.4.2) and evolution (3.2.2 → 3.4.2)
===================================================================

evolution-data-server
~~~~~~~~~~~~~~~~~~~~~

Involves several soname bumps:

- libebook-1.2-12 → libebook-1.2-16
- libecal-1.2-10 → libecal-1.2-13
- libedata-book-1.2-11 → libedata-book-1.2-13
- libedataserver-1.2-15 → libedataserver-1.2-16
- libcamel-1.2-29 → libcamel-1.2-33
- libedata-cal-1.2-13 → libedata-cal-1.2-15
- libebackend-1.2-1 → libebackend-1.2-2

is_affected = .build-depends ~/lib(|ecal1.2|edataserver1.2|edataserverui-3.0|ebook1.2|edata-book1.2|edata-cal1.2|ebackend1.2)-dev/ | .build-depends ~ /evolution-data-server-dev/;
is_good = .depends ~ /lib(|ebook-1.2-16|ecal-1.2-13|edata-book-1.2-13|edataserver-1.2-16|camel-1.2-33|edata-cal-1.2-15|ebackend-1.2-2)/;
is_bad = .depends ~ /lib(ebook-1.2-12|ecal-1.2-10|edata-book-1.2-11|edataserver-1.2-15|camel-1.2-29|edata-cal-1.2-13|ebackend-1.2-1)/;

* binNMUs (build tested)

- almanah
- barry
- contacts
- dates
- ekiga
- empathy
- eweouz
- folks
- giggle
- gbirthday
- glabels
- gnome-contacts
- gnome-panel
- gnome-phone-manager
- gnome-python-desktop
- hdate-applet
- jana
- nautilus-sendto
- obexd
- ruby-revolution
- sflphone
- syncevolution
- tasks
- libreoffice

evolution
~~~~~~~~~

Doesn't involve a soname bump but libevolution generates a tight
dependency via shlibs, i.e >= 3.2 << 3.3 atm.

is_affected = .build-depends ~ /evolution-dev/;
is_good = .depends ~ /libevolution \(>= 3.4\)/;
is_bad = .depends ~ /libevolution \(<< 3.3\)/;

The list of rdepends of evolution-data-server and evolution intersect.
To avoid duplicate compilation, upload evolution-data-server 3.4 first,
then evolution 3.4, then schedule the binNMUs resp. do a sourceful
update of the remaining rdeps.

* binNMUs (build tested)

- mail-notification (once
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677455 is fixed)
- tracker
- evolution-webcal

* sourceful uploads

- gnome-shell (debian/patches/21_revert_evolution_gsettings.patch
  needs to be dropped)
- evolution-ews (3.2 → 3.4, in experimental)
- evolution-exchange (3.2 → 3.4, in experimental)
- evolution-mapi (3.2 → 3.4, in experimental)
- evolution-rss (0.2.90 → 0.3.91, in experimental)



Cheers,
Michael
-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Fri, 15 Jun 2012 12:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 15 Jun 2012 12:48:08 GMT) Full text and rfc822 format available.

Message #10 received at 677620@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Fri, 15 Jun 2012 15:46:42 +0300
On Fri, Jun 15, 2012 at 02:13:25PM +0200, Michael Biebl wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> evolution-data-server, evolution and the reverse dependencies of those
> packages.

I think this is too late and big transition in this stage of release.
It wouldn't be fair to other transitions that are already skipped.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Sun, 17 Jun 2012 12:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 12:57:16 GMT) Full text and rfc822 format available.

Message #15 received at 677620@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 677620@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Sun, 17 Jun 2012 14:52:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Jun 15, 2012 at 15:46:42 +0300, Touko Korpela wrote:
> > We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> > evolution-data-server, evolution and the reverse dependencies of those
> > packages.
> 
> I think this is too late and big transition in this stage of release.
> It wouldn't be fair to other transitions that are already skipped.

I'd be very grateful if this position could be reconsidered, for a number
of reasons.

If evo came so late is because we've been doing GNOME 3.4 step by step,
instead of doing a hell of a transition. Particularly, our last step
included GNOME Shell with a patch to revert its switch to look for
Evolution's new gsettings stuff, which allowed us to first get Shell in
without entangling the new evolution-data-server, and now be prepared for
a smaller and not so scary Evo transition.

We could have just shoved everything in a big transition, but we have always
tried our best to coordinate our uploads, wait for slots, and do small
bits. That takes time, and we haven't stopped since 3.4 was released, one
transition after the other. It'd be sad to not have the complete thing,
just lacking the final bit.

I hope we can do something about this.

Jordi, a bit frustrated. :P
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Sun, 17 Jun 2012 13:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 13:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 677620@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Sun, 17 Jun 2012 14:16:46 +0100
On Fri, 2012-06-15 at 14:13 +0200, Michael Biebl wrote:
> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> evolution-data-server, evolution and the reverse dependencies of those
> packages.

As I mentioned on IRC (possibly a little more grumpily than I should
have; sorry about that), this is somewhat late in the cycle,
particularly given that we'd previously asked for people to contact us
before May 20th.  I realise that there are reasons for it being
presented this late, but at least a placeholder earlier would have been
much appreciated.

Despite the lateness, I'm also conscious of the fact that we're talking
about the default mail client in the default desktop environment that we
prevent to users.

Other than possible confusion from mixing packages with 3.2 and 3.4
version numbering, would we lose anything in terms of integration,
functionality etc if we did decide not to proceed with this?  (That's
not a decision either way, just trying to make sure we have all the
relevant information.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Sun, 17 Jun 2012 13:24:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 13:24:21 GMT) Full text and rfc822 format available.

Message #25 received at 677620@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jordi Mallach <jordi@debian.org>, 677620@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Sun, 17 Jun 2012 14:19:18 +0100
On Sun, 2012-06-17 at 14:52 +0200, Jordi Mallach wrote:
> On Fri, Jun 15, 2012 at 15:46:42 +0300, Touko Korpela wrote:
> > > We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> > > evolution-data-server, evolution and the reverse dependencies of those
> > > packages.
> > 
> > I think this is too late and big transition in this stage of release.
> > It wouldn't be fair to other transitions that are already skipped.
> 
> I'd be very grateful if this position could be reconsidered, for a number
> of reasons.

Note that Touko is not a member of the Release Team; the above is
therefore not a statement of position from the team.  (Although it is a
reasonable point, but see my follow-up to Michael's original mail.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Sun, 17 Jun 2012 14:09:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 14:09:20 GMT) Full text and rfc822 format available.

Message #30 received at 677620@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 677620@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Sun, 17 Jun 2012 15:04:11 +0100
On Sun, 2012-06-17 at 14:16 +0100, Adam D. Barratt wrote:
> On Fri, 2012-06-15 at 14:13 +0200, Michael Biebl wrote:
> > We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> > evolution-data-server, evolution and the reverse dependencies of those
> > packages.
> 
> As I mentioned on IRC (possibly a little more grumpily than I should
> have; sorry about that), this is somewhat late in the cycle,
> particularly given that we'd previously asked for people to contact us
> before May 20th.  I realise that there are reasons for it being
> presented this late, but at least a placeholder earlier would have been
> much appreciated.
> 
> Despite the lateness, I'm also conscious of the fact that we're talking
> about the default mail client in the default desktop environment that we
> prevent to users.

"present to users"

> Other than possible confusion from mixing packages with 3.2 and 3.4
> version numbering, would we lose anything in terms of integration,
> functionality etc if we did decide not to proceed with this?  (That's
> not a decision either way, just trying to make sure we have all the
> relevant information.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Sun, 17 Jun 2012 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 20:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 677620@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 677620@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, Jordi Mallach <jordi@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Sun, 17 Jun 2012 22:48:08 +0200
[Message part 1 (text/plain, inline)]
Hello,

Adam D. Barratt <adam@adam-barratt.org.uk> (17/06/2012):
> As I mentioned on IRC (possibly a little more grumpily than I should
> have; sorry about that), this is somewhat late in the cycle,
> particularly given that we'd previously asked for people to contact us
> before May 20th.  I realise that there are reasons for it being
> presented this late, but at least a placeholder earlier would have
> been much appreciated.

I think I'm a bit guilty here. I have been pinged a couple of times on
IRC about this, and I think I didn't insist enough on the need for
having a bug report ASAP (even if only a placeholder).

From my (you know how much) very limited experience, Gnome people have
been very good at not making our job difficult by managing their updates
through rather limited transitions. I think it's fair to let them do
this final (I think; if not, you'd better tell us *now* ;p) transition.
I can/will shepherd it.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Mon, 18 Jun 2012 14:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 14:12:08 GMT) Full text and rfc822 format available.

Message #40 received at 677620@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Cc: jordi@debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Mon, 18 Jun 2012 15:31:57 +0200
tags 677620 + pending
thanks

On 15/06/2012 14:13, Michael Biebl wrote:
>
> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> evolution-data-server, evolution and the reverse dependencies of
> those packages.
>

Please go ahead with the uploads. Let's try to do this transition quickly :)

I've generated the ben trackers:
http://release.debian.org/transitions/html/gtkhtml4.0.html
http://release.debian.org/transitions/html/evolution3.4.html

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Mon, 18 Jun 2012 14:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Mon, 18 Jun 2012 14:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 14:42:07 GMT) Full text and rfc822 format available.

Message #47 received at 677620@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Mon, 18 Jun 2012 16:30:18 +0200
Hi,

On Fri, Jun 15, 2012 at 02:13:25PM +0200, Michael Biebl wrote:
> Involves several soname bumps:
> 
> - libebook-1.2-12 → libebook-1.2-16
[...]
> * binNMUs (build tested)
[...]
> - libreoffice

Really?

http://cgit.freedesktop.org/libreoffice/core/tree/connectivity/source/drivers/evoab2/EApi.cxx?h=libreoffice-3-5-4
together with
http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=rules;h=4a018d0a3c0ae82c6255b8e5c3f1a699151eccd4;hb=HEAD#l2892
http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=scripts/get_libebook_dep.sh;h=6fefd62073fb08937348bc74547fdba33c08a959;hb=HEAD

doesn't make me think it builds (it at least most probably
will not create a proper dep)

-> source upload needed.

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Mon, 18 Jun 2012 14:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 14:48:14 GMT) Full text and rfc822 format available.

Message #52 received at 677620@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Mon, 18 Jun 2012 16:37:18 +0200
On Mon, Jun 18, 2012 at 04:30:18PM +0200, Rene Engelhard wrote:
> http://cgit.freedesktop.org/libreoffice/core/tree/connectivity/source/drivers/evoab2/EApi.cxx?h=libreoffice-3-5-4

Oh, and evene if it built it obviously won't work ;)

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Mon, 18 Jun 2012 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 16:54:06 GMT) Full text and rfc822 format available.

Message #57 received at 677620@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Mon, 18 Jun 2012 18:41:54 +0200
On Fri, Jun 15, 2012 at 02:13:25PM +0200, Michael Biebl wrote:
> Involves several soname bumps:
> 
> - libebook-1.2-12 → libebook-1.2-16
> - libecal-1.2-10 → libecal-1.2-13
> - libedata-book-1.2-11 → libedata-book-1.2-13
> - libedataserver-1.2-15 → libedataserver-1.2-16
> - libcamel-1.2-29 → libcamel-1.2-33
> - libedata-cal-1.2-13 → libedata-cal-1.2-15
> - libebackend-1.2-1 → libebackend-1.2-2
> 
> is_affected = .build-depends ~/lib(|ecal1.2|edataserver1.2|edataserverui-3.0|ebook1.2|edata-book1.2|edata-cal1.2|ebackend1.2)-dev/ | .build-depends ~ /evolution-data-server-dev/;
> is_good = .depends ~ /lib(|ebook-1.2-16|ecal-1.2-13|edata-book-1.2-13|edataserver-1.2-16|camel-1.2-33|edata-cal-1.2-15|ebackend-1.2-2)/;
> is_bad = .depends ~ /lib(ebook-1.2-12|ecal-1.2-10|edata-book-1.2-11|edataserver-1.2-15|camel-1.2-29|edata-cal-1.2-13|ebackend-1.2-1)/;

Hmm.

Either I miss something, or the above is wrong:

from e-d-s 3.4.2-2s experimental upload:

 libcamel-1.2-33 - Evolution MIME message handling library
 libcamel1.2-dev - Development files for libcamel
 libebackend-1.2-2 - Utility library for evolution data servers
 libebackend1.2-dev - Utility library for evolution data servers (development files)
 libebook-1.2-13 - Client library for evolution address books
 libebook1.2-dev - Client library for evolution address books (development files)
 libecal-1.2-11 - Client library for evolution calendars
 libecal1.2-dev - Client library for evolution calendars (development files)
 libedata-book-1.2-13 - Backend library for evolution address books
 libedata-book1.2-dev - Backend library for evolution address books (development files)
 libedata-cal-1.2-15 - Backend library for evolution calendars
 libedata-cal1.2-dev - Backend library for evolution calendars (development files)
 libedataserver-1.2-16 - Utility library for evolution data servers
 libedataserver1.2-dev - Utility library for evolution data servers (development files)
 libedataserverui-3.0-1 - GUI utility library for evolution data servers
 libedataserverui-3.0-dev - GUI utility library for evolution data servers (development files

- libebook-1.2-12 → libebook-1.2-13
- libecal-1.2-10 → libecal-1.2-11

sound more right, which makes the tracker need the following:

is_affected = .build-depends ~/lib(|ecal1.2|edataserver1.2|edataserverui-3.0|ebook1.2|edata-book1.2|edata-cal1.2|ebackend1.2)-dev/ | .build-depends ~ /evolution-data-server-dev/;
is_good = .depends ~ /lib(|ebook-1.2-13|ecal-1.2-11|edata-book-1.2-13|edataserver-1.2-16|camel-1.2-33|edata-cal-1.2-15|ebackend-1.2-2)/;
is_bad = .depends ~ /lib(ebook-1.2-12|ecal-1.2-10|edata-book-1.2-11|edataserver-1.2-15|camel-1.2-29|edata-cal-1.2-13|ebackend-1.2-1)/;

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Tue, 19 Jun 2012 16:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Jun 2012 16:06:08 GMT) Full text and rfc822 format available.

Message #62 received at 677620@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Rene Engelhard <rene@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Tue, 19 Jun 2012 18:03:40 +0200
[Message part 1 (text/plain, inline)]
On 18.06.2012 18:41, Rene Engelhard wrote:
> On Fri, Jun 15, 2012 at 02:13:25PM +0200, Michael Biebl wrote:
>> Involves several soname bumps:
>>
>> - libebook-1.2-12 → libebook-1.2-16
>> - libecal-1.2-10 → libecal-1.2-13

..

> Either I miss something, or the above is wrong:

..

> - libebook-1.2-12 → libebook-1.2-13
> - libecal-1.2-10 → libecal-1.2-11
> 
> sound more right, which makes the tracker need the following:

Indeed

> is_affected = .build-depends ~/lib(|ecal1.2|edataserver1.2|edataserverui-3.0|ebook1.2|edata-book1.2|edata-cal1.2|ebackend1.2)-dev/ | .build-depends ~ /evolution-data-server-dev/;
> is_good = .depends ~ /lib(|ebook-1.2-13|ecal-1.2-11|edata-book-1.2-13|edataserver-1.2-16|camel-1.2-33|edata-cal-1.2-15|ebackend-1.2-2)/;
> is_bad = .depends ~ /lib(ebook-1.2-12|ecal-1.2-10|edata-book-1.2-11|edataserver-1.2-15|camel-1.2-29|edata-cal-1.2-13|ebackend-1.2-1)/;

Thanks for the correction.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Tue, 19 Jun 2012 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Jun 2012 16:12:04 GMT) Full text and rfc822 format available.

Message #67 received at 677620@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 677620@bugs.debian.org, Rene Engelhard <rene@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Tue, 19 Jun 2012 18:09:59 +0200
[Message part 1 (text/plain, inline)]
On 18.06.2012 15:31, Mehdi Dogguy wrote:
> tags 677620 + pending
> thanks
> 
> On 15/06/2012 14:13, Michael Biebl wrote:
>>
>> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
>> evolution-data-server, evolution and the reverse dependencies of
>> those packages.
>>
> 
> Please go ahead with the uploads. Let's try to do this transition quickly :)
> 
> I've generated the ben trackers:
> http://release.debian.org/transitions/html/gtkhtml4.0.html
> http://release.debian.org/transitions/html/evolution3.4.html

- Uploaded gtkhtml4.0 a few minutes ago.
- mail-notification (#677455) was fixed in the mean time and is ready.
- eds upload will follow later today, which means you should be able to
schedule the first round of binNMUs then.
- As Rene mentioned, libreoffice will not work properly with a binNMU
and needs a sourceful upload. So please exclude libreoffice when
scheduling binNMUs. He told me that he basically has all the necessary
changes already committed locally and will take care of making the upload.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Wed, 20 Jun 2012 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Jun 2012 05:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 677620@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 677620@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Rene Engelhard <rene@debian.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Wed, 20 Jun 2012 07:14:18 +0200
[Message part 1 (text/plain, inline)]
On 19.06.2012 18:09, Michael Biebl wrote:
> On 18.06.2012 15:31, Mehdi Dogguy wrote:
>> tags 677620 + pending
>> thanks
>>
>> On 15/06/2012 14:13, Michael Biebl wrote:
>>>
>>> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
>>> evolution-data-server, evolution and the reverse dependencies of
>>> those packages.
>>>
>>
>> Please go ahead with the uploads. Let's try to do this transition quickly :)

- gtkhtml4.0 was uploaded an built everywhere.

- evolution-data-server was uploaded an built everywhere.

- evolution was uploaded is currently still building.

There is a build failure on s390. According to Julien this particular
error has been seen a couple of times and can be most likely fixed by
giving back the build.

sourceful uploads
=================
done:
evolution-ews
evolution-mapi
evolution-exchange
evolution-rss
gnome-shell

todo:
libreoffice (Rene is already working on that)


binNMUs
=======
gtkhtml4.0
~~~~~~~~~~

xiphos (already scheduled)


evolution-data-server 3.4
~~~~~~~~~~~~~~~~~~~~~~~~~
[no dep wait needed since eds is built and installed everywhere]

almanah
barry
contacts
dates
ekiga
empathy
eweouz
folks
giggle
gbirthday
glabels
gnome-contacts
gnome-panel
gnome-phone-manager
gnome-python-desktop
hdate-applet
jana
nautilus-sendto
obexd
ruby-revolution
sflphone
syncevolution
tasks


evolution 3.4
~~~~~~~~~~~~~
[dep wait on evolution-dev (>= 3.4)]

tracker
evolution-webcal
mail-notification




I think that should be about it.

Thanks everyone for the help!

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Wed, 20 Jun 2012 05:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Jun 2012 05:48:03 GMT) Full text and rfc822 format available.

Message #77 received at 677620@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Wed, 20 Jun 2012 07:37:57 +0200
On 06/20/2012 07:14 AM, Michael Biebl wrote:
> - evolution was uploaded is currently still building.
> 
> There is a build failure on s390. According to Julien this particular
> error has been seen a couple of times and can be most likely fixed by
> giving back the build.
> 

Given back.

> 
> evolution-data-server 3.4
> ~~~~~~~~~~~~~~~~~~~~~~~~~
> [no dep wait needed since eds is built and installed everywhere]
> 
> barry
>

not scheduled (see #678233).

> gbirthday
>

arch:all, not scheduled.

> almanah
> contacts
> dates
> ekiga
> empathy
> eweouz
> folks
> giggle
> glabels
> gnome-contacts
> gnome-panel
> gnome-phone-manager
> gnome-python-desktop
> hdate-applet
> jana
> nautilus-sendto
> obexd
> ruby-revolution
> sflphone
> syncevolution
> tasks
> 

done.

> 
> evolution 3.4
> ~~~~~~~~~~~~~
> [dep wait on evolution-dev (>= 3.4)]
> 
> tracker
> evolution-webcal
> mail-notification
> 

done. (note that tracker is affected by a grave bug #666176. While
this should not block the transition (because if affects testing
versions too), it has to be fixed before the release).

Cheers.

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added blocking bug(s) of 677620: 678233 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Wed, 20 Jun 2012 05:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#677620; Package release.debian.org. (Wed, 20 Jun 2012 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Jun 2012 14:54:04 GMT) Full text and rfc822 format available.

Message #84 received at 677620@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Michael Biebl <biebl@debian.org>, 677620@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Wed, 20 Jun 2012 16:43:01 +0200
On Wed, Jun 20, 2012 at 07:14:18AM +0200, Michael Biebl wrote:
> libreoffice (Rene is already working on that)

uploaded.

Regards,

Rene




Added blocking bug(s) of 677620: 678523 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 13:21:03 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Wed, 27 Jun 2012 10:21:41 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 10:21:46 GMT) Full text and rfc822 format available.

Message #91 received at 677620-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Michael Biebl <biebl@debian.org>, 677620-done@bugs.debian.org, jordi@debian.org
Subject: Re: Bug#677620: transition: GNOME 3.4: evolution 3.4
Date: Wed, 27 Jun 2012 12:18:40 +0200
On 15/06/2012 14:13, Michael Biebl wrote:
> We want evolution 3.4 for wheezy. This means updating gtkhtml4.0,
> evolution-data-server, evolution and the reverse dependencies of
> those packages.

All packages migrated during today's britney run, without leaving old
binaries in testing.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:34:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.